<template>
  <div style="margin: 3rem">
    <header style="margin:8rem 6rem 4rem">
      <ReturnButton :offsetArrow="21" :spanTitle="2" title="Regresar" v-on:clickEvent="returnPage" style="margin-bottom:2.5rem"></ReturnButton>
    </header>
      <!-- COMPONENTE TITULO -->
    <div style="margin:3rem 6rem">
      <app-title Title="HISTORIAL DE SOPORTE"> </app-title>
    </div>
    <div style="margin:5rem 10rem">
      <!-- CARDS -->
      <el-row>      
        <!-- IMAGEN DE LA COMPUTADORA -->            
        <el-col :span="9" :offset="3">
          <img src="../../../assets/images/computadoras-soporte.svg" alt="">                     
        </el-col>
        <!-- CARDS DE LA DERECHA -->
        <el-col :span="12" class="bg-gray" style= "padding: 3rem 0 2rem 4rem" >
          <el-row >
            <el-col style="margin-bottom: 2rem" v-for="(item, index) in typeOfSupport" :key="index" >
              <el-button class="dialog-orange text-bold text-dark bg-white" @click="orderHistory(item)" size="medium"> {{ item }} </el-button>
            </el-col>
          </el-row>
        </el-col>      
      </el-row>
    </div>
  </div>   
</template>

<script>
import ReturnButton from '@/components/ReturnButton.vue'
import Title from '@/components/Title.vue'  
import { HTTP } from '../../../main.js'

export default {
  components: {
    ReturnButton,
    'app-title': Title,
  },
  data () {
    return {
      textSearch: '',
      elementsSupport: [],
      tipoDeSoporteElegido: [],
      typeOfSupport : []
    }
  },
  created () {
    this.getTablesSupport()
  },
  methods: {
    getTablesSupport () {
      HTTP.get('tables/tableName/typeOfSupport')
        .then(res => {
          this.typeOfSupport = res.data.table[0].types
        })
      .catch(err => {
        console.log(err)
      });   
    },
    returnPage () {
      this.$router.push({ name: 'recordOfDiscs'})
    },
    orderHistory (type) {
      this.$localStorage.set('typeSupport', JSON.stringify( type ))
      this.$router.push({ name: 'history'})  
    },
  } 
}
</script>

